<?php

/*
 * Facebook OpenGraph Meta.
 *
 * Add opengraph meta in your wordpress site.
 *
 * @package    	Facebook-OpenGraph-Meta
 * @since      	0.0.1
 * @author     	Pulido Pereira Nuno Ricardo <pereira@nunoapps.com>
 * @copyright  	Copyright (c) 2007 - 2013, Pulido Pereira Nuno Ricardo
 * @link       	http://nunoapps.com/plugins/facebook-opengraph-meta
 * @license   	http://www.gnu.org/licenses/gpl-2.0.html
 *
 * Copyright 2007 - 2013  Pereira Pulido Nuno Ricardo  (email : pereira@nunoapps.com)
 *
 * This program is free software; you can redistribute it and/or modify it under the terms of the GNU 
 * General Public License version 2, as published by the Free Software Foundation.  You may NOT assume 
 * that you can use any other version of the GPL.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without 
 * even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 *
 * You should have received a copy of the GNU General Public License along with this program; if not,
 * write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 *
 * @wordpress-plugin
 * Plugin Name:       	Facebook OpenGraph Meta.
 * Plugin URI:        	http://nunoapps.com/plugins/facebook-opengraph-meta
 * Description:       	Add opengraph meta in your wordpress site.
 * Version:           	1.3.1
 * Author:            	Pereira Pulido Nuno Ricardo
 * Author URI:        	http://namaless.com
 * Text Domain:       	facebook-opengraph-meta
 * License:      		GPL-2.0+
 * License URI:       	http://www.gnu.org/licenses/gpl-2.0.txt
 * Domain Path:       	/languages
 * GitHub Plugin URI: 	https://github.com/nunoapps/facebook-opengraph-meta
 */

// PHP Version checker.
/*
function plugin_activation_hook() {
	if ( ! version_compare( PHP_VERSION, '5.4.0', '>=' ) ) {
		deactivate_plugins( __FILE__ );
		die( wp_sprintf( __( 'Sorry, This plugin has taken a bold step in requiring PHP 5.3.0+. Your server is currently running PHP %2s, Please bug your host to upgrade to a recent version of PHP which is less bug-prone.' ), PHP_VERSION ) );
	}
}
//register_activation_hook( __FILE__, 'plugin_activation_hook' );
*/

// Autoloader.
if ( file_exists( WP_PLUGIN_DIR . '/nunoapps-plugin/bootstrap.php' ) ) {

	require_once( WP_PLUGIN_DIR . '/nunoapps-plugin/bootstrap.php' );

	$facebook_opengraph_meta_autoloader = new NunoApps_Autoloader( NULL, __DIR__ . '/src' );
	$facebook_opengraph_meta_autoloader->register();

	$facebook_opengraph_meta = NunoApps_FacebookOpenGraphMeta::run();

}

require_once( __DIR__ . '/vendor/tgm-plugin/install-required-plugins.php' );

